import Trat
import random

def generuj(opt_r, dlzka, dlzka_r, cislo):
    meno = "trat-{}.txt".format(cislo)
    text_subor = open(meno, "w")
    text_subor.write("zakruta;{};{}\n".format(opt_r, dlzka))
    text_subor.write("rovinka;{}\n".format(dlzka_r))
    text_subor.close()

pocitadlo = 1
cislo = 406
counter = 0
counter_2 = 0
posledna_hodnota = 1
for dlzka in range(38, 501):
    print("DLZKA = {}".format(dlzka))
    for opt_r in range(20, 201):
        for dlzka_r in range(50, 1001):
            pocitadlo += 1
            generuj(opt_r, dlzka, dlzka_r, cislo)
            trat = Trat.Trat("trat-{}.txt".format(cislo))
            hodnota = trat.idealny_pritlak()
            if(hodnota in range(30,70)):
                print("Heureka! trat c.{} sa podarilo vytvorit!".format(cislo))
                print("Pokus c.{}".format(pocitadlo))
                cislo += 1
                
